# Uses of Class
org.eclipse.birt.chart.factory.RunTimeContext

Packages that use RunTimeContext
Package
Description
org.eclipse.birt.chart.computation
This is a placeholder file for the org.eclipse.birt.chart.computation package.
org.eclipse.birt.chart.computation.withaxes
This is a placeholder file for the org.eclipse.birt.chart.computation.withaxes package.
org.eclipse.birt.chart.computation.withoutaxes
This is a placeholder file for the org.eclipse.birt.chart.computation.withoutaxes package.
org.eclipse.birt.chart.event
Contains classes that define a rendering notification that is interpreted by a device renderer.
org.eclipse.birt.chart.factory
Contains classes and interfaces used in the chart building and generation phase.
org.eclipse.birt.chart.model.layout
Contains a layout manager capable of arranging a set of blocks associated with the chart representation.
org.eclipse.birt.chart.model.layout.impl
Contains core class implementations for blocks associated with the chart representation.
org.eclipse.birt.chart.render
Contains classes that represent the core plot rendering framework.

## Uses of RunTimeContext in org.eclipse.birt.chart.computation

Methods in org.eclipse.birt.chart.computation that return RunTimeContext
Modifier and Type
Method
Description
`final RunTimeContext`
PlotComputation.`getRunTimeContext()`
Methods in org.eclipse.birt.chart.computation with parameters of type RunTimeContext
Modifier and Type
Method
Description
`Size`
LegendBuilder.`compute(IDisplayServer xs, Chart cm, SeriesDefinition[] seda, RunTimeContext rtc)`
Computes the size of the legend.
Constructors in org.eclipse.birt.chart.computation with parameters of type RunTimeContext
Modifier
Constructor
Description
``
`DataPointHints(Object _oBaseValue, Object _oOrthogonalValue, Object _oSeriesValue, Object _oPercentileValue, DataPoint _dp, FormatSpecifier _fsBase, FormatSpecifier _fsOrthogonal, FormatSpecifier _fsSeries, FormatSpecifier _fsPercentile, int _idx, Location _lo, double[] _dSize, RunTimeContext _rtc)`
The constructor.
``
`DataPointHints(Object _oBaseValue, Object _oOrthogonalValue, Object _oSeriesValue, Object _oPercentileValue, DataPoint _dp, FormatSpecifier _fsBase, FormatSpecifier _fsOrthogonal, FormatSpecifier _fsSeries, FormatSpecifier _fsPercentile, int _idx, Location _lo, double _dSize, RunTimeContext _rtc)`
DataPointHints constructor.
``
`PlotComputation(IDisplayServer ids, RunTimeContext rtc, Chart cm)`

## Uses of RunTimeContext in org.eclipse.birt.chart.computation.withaxes

Methods in org.eclipse.birt.chart.computation.withaxes that return RunTimeContext
Modifier and Type
Method
Description
`RunTimeContext`
AutoScale.`getRunTimeContext()`
`RunTimeContext`
OneAxis.`getRunTimeContext()`
Methods in org.eclipse.birt.chart.computation.withaxes with parameters of type RunTimeContext
Modifier and Type
Method
Description
`static DataSetIterator`
PlotWithAxes.`checkDataType(Series se, int iType, RunTimeContext rtc)`
`static StackedSeriesLookup`
StackedSeriesLookup.`create(ChartWithAxes cwa, RunTimeContext rtc)`
`static void`
AutoScale.`setNumberMinMaxToScale(AutoScale sc, Object oMinimum, Object oMaximum, RunTimeContext rtc, OneAxis ax)`
Updates AutoScale by checking min or max
`static void`
AutoScale.`setStepToScale(AutoScale sc, Object oStep, Integer oStepNumber, RunTimeContext rtc)`
Updates AutoScale by checking step size and step number
Constructors in org.eclipse.birt.chart.computation.withaxes with parameters of type RunTimeContext
Modifier
Constructor
Description
``
`PlotWith2DAxes(IDisplayServer _ids, ChartWithAxes _cwa, RunTimeContext _rtc)`
The default constructor
``
`PlotWith3DAxes(IDisplayServer _ids, ChartWithAxes _cwa, RunTimeContext _rtc)`
``
`PlotWithAxes(IDisplayServer ids, RunTimeContext rtc, ChartWithAxes cwa)`
``
`ScaleInfo(PlotComputation plotComp, int iType, RunTimeContext rtc, FormatSpecifier fs, OneAxis ax, int iScaleDirection, boolean bExpandMinMax)`

## Uses of RunTimeContext in org.eclipse.birt.chart.computation.withoutaxes

Constructors in org.eclipse.birt.chart.computation.withoutaxes with parameters of type RunTimeContext
Modifier
Constructor
Description
``
`PlotWithoutAxes(IDisplayServer xs, ChartWithoutAxes cwoa, RunTimeContext rtc)`
The constructor.

## Uses of RunTimeContext in org.eclipse.birt.chart.event

Methods in org.eclipse.birt.chart.event with parameters of type RunTimeContext
Modifier and Type
Method
Description
`final void`
TextRenderEvent.`updateFrom(LabelBlock lb, double dScale, RunTimeContext rtc)`
Updates the event by given LabelBlock object.

## Uses of RunTimeContext in org.eclipse.birt.chart.factory

Methods in org.eclipse.birt.chart.factory that return RunTimeContext
Modifier and Type
Method
Description
`RunTimeContext`
GeneratedChartState.`getRunTimeContext()`
Returns an instance of the runtime context used in building the chart.
`RunTimeContext`
Generator.`prepare(Chart model, IExternalContext externalContext, IScriptClassLoader iscl, com.ibm.icu.util.ULocale locale)`
Since v2, it must be called before build( ), and should only be called once per design model.
`RunTimeContext`
Generator.`prepare(Chart model, IExternalContext externalContext, IScriptClassLoader iscl, Locale locale)`
Deprecated.
use `Generator.prepare(Chart, IExternalContext, IScriptClassLoader, ULocale)` instead.
`RunTimeContext`
IGenerator.`prepare(Chart model, IExternalContext externalContext, IScriptClassLoader iscl, com.ibm.icu.util.ULocale locale)`
Since v2, it must be called before build( ), and should only be called once per design model.
Methods in org.eclipse.birt.chart.factory with parameters of type RunTimeContext
Modifier and Type
Method
Description
`void`
Generator.`bindData(ResultSet resultSet, Chart chart, RunTimeContext rtc)`
Binds a sql Resuset to a chart model.
`void`
Generator.`bindData(IDataRowExpressionEvaluator expressionEvaluator, IActionEvaluator iae, Chart chart, RunTimeContext rtc)`
Binds data to the chart model using a row expression evaluator.
`void`
Generator.`bindData(IDataRowExpressionEvaluator expressionEvaluator, Chart chart, RunTimeContext rtc)`
Binds data to the chart model using a row expression evaluator.
`void`
IGenerator.`bindData(ResultSet resultSet, Chart chart, RunTimeContext rtc)`
Binds a sql Resuset to a chart model.
`void`
IGenerator.`bindData(IDataRowExpressionEvaluator expressionEvaluator, IActionEvaluator iae, Chart chart, RunTimeContext rtc)`
Binds data to the chart model using a row expression evaluator.
`void`
IGenerator.`bindData(IDataRowExpressionEvaluator expressionEvaluator, Chart chart, RunTimeContext rtc)`
Binds data to the chart model using a row expression evaluator.
`GeneratedChartState`
Generator.`build(IDisplayServer ids, Chart cmRunTime, Bounds bo, RunTimeContext rtc)`
Builds and computes preferred sizes of various chart components offscreen using the provided display server.
`GeneratedChartState`
Generator.`build(IDisplayServer ids, Chart cmRunTime, Bounds bo, IExternalContext externalContext, RunTimeContext rtc)`
Builds and computes preferred sizes of various chart components offscreen using the provided display server.
`GeneratedChartState`
Generator.`build(IDisplayServer ids, Chart cmRunTime, Bounds bo, IExternalContext externalContext, RunTimeContext rtc, org.eclipse.birt.chart.style.IStyleProcessor externalProcessor)`
Builds and computes preferred sizes of various chart components offscreen using the provided display server.
`GeneratedChartState`
Generator.`build(IDisplayServer ids, Chart cmRunTime, org.mozilla.javascript.Scriptable scParent, Bounds bo, RunTimeContext rtc)`
Deprecated.
use `Generator.build(IDisplayServer, Chart, Bounds, IExternalContext, RunTimeContext)` instead.
`GeneratedChartState`
Generator.`build(IDisplayServer ids, Chart cmRunTime, org.mozilla.javascript.Scriptable scParent, Bounds bo, RunTimeContext rtc, org.eclipse.birt.chart.style.IStyleProcessor externalProcessor)`
Deprecated.
use `Generator.build(IDisplayServer, Chart, Bounds, IExternalContext, RunTimeContext, IStyleProcessor)` instead.
`GeneratedChartState`
IGenerator.`build(IDisplayServer ids, Chart cmDesignTime, Bounds bo, IExternalContext externalContext, RunTimeContext rtc)`
Builds and computes preferred sizes of various chart components offscreen using the provided display server.
`GeneratedChartState`
IGenerator.`build(IDisplayServer ids, Chart cmDesignTime, Bounds bo, IExternalContext externalContext, RunTimeContext rtc, org.eclipse.birt.chart.style.IStyleProcessor externalProcessor)`
Builds and computes preferred sizes of various chart components offscreen using the provided display server.
`void`
Generator.`prepareStyles(Chart model, org.eclipse.birt.chart.style.IStyleProcessor externalProcessor, RunTimeContext rtc)`
Prepare all default styles for various StyledComponent.

## Uses of RunTimeContext in org.eclipse.birt.chart.model.layout

Methods in org.eclipse.birt.chart.model.layout with parameters of type RunTimeContext
Modifier and Type
Method
Description
`Size`
Block.`getPreferredSize(IDisplayServer xs, Chart cm, RunTimeContext rtc)`
Computes and returns the size of the title block based on the text content and its attributes

## Uses of RunTimeContext in org.eclipse.birt.chart.model.layout.impl

Methods in org.eclipse.birt.chart.model.layout.impl with parameters of type RunTimeContext
Modifier and Type
Method
Description
`Size`
BlockImpl.`getPreferredSize(IDisplayServer xs, Chart cm, RunTimeContext rtc)`
`final Size`
LabelBlockImpl.`getPreferredSize(IDisplayServer xs, Chart cm, RunTimeContext rtc)`
`final Size`
LegendImpl.`getPreferredSize(IDisplayServer xs, Chart cm, RunTimeContext rtc)`

## Uses of RunTimeContext in org.eclipse.birt.chart.render

Methods in org.eclipse.birt.chart.render that return RunTimeContext
Modifier and Type
Method
Description
`final RunTimeContext`
BaseRenderer.`getRunTimeContext()`
Methods in org.eclipse.birt.chart.render with parameters of type RunTimeContext
Modifier and Type
Method
Description
`static final BaseRenderer[]`
BaseRenderer.`instances(Chart cm, RunTimeContext rtc, PlotComputation oComputations)`
This method returns appropriate renders for the given chart model.
`void`
ActionRendererAdapter.`processAction(Action action, StructureSource source, RunTimeContext rtc)`
`void`
IActionRenderer.`processAction(Action action, StructureSource source, RunTimeContext rtc)`
Process the action with given source object.
`final void`
BaseRenderer.`set(RunTimeContext _rtc)`
Sets the runtime context object for current renderer.